module Paths_Weather (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,3] []
bindir, libdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/bryan/.cabal/bin"
libdir     = "/home/bryan/.cabal/lib/x86_64-linux-ghc-7.8.4/Weather-0.1.0.3"
datadir    = "/home/bryan/.cabal/share/x86_64-linux-ghc-7.8.4/Weather-0.1.0.3"
libexecdir = "/home/bryan/.cabal/libexec"
sysconfdir = "/home/bryan/.cabal/etc"

getBinDir, getLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "Weather_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "Weather_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "Weather_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "Weather_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "Weather_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
